Package net.sf.saxon.z

## Class IntSetPredicate

- java.lang.Object
- - net.sf.saxon.z.IntSetPredicate

- All Implemented Interfaces:
    `java.util.function.IntPredicate`

      public class IntSetPredicate
      extends java.lang.Object
      implements java.util.function.IntPredicate

  An implementation of IntPredicate that tests whether a given integer is a member of some IntSet

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.util.function.IntPredicate` | `ALWAYS_FALSE` | Convenience predicate that never matches
    `static java.util.function.IntPredicate` | `ALWAYS_TRUE` | Convenience predicate that always matches

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntSetPredicate​(IntSet set)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IntSet` | `getIntSet()` | Get the underlying IntSet
    `java.util.function.IntPredicate` | `or​(java.util.function.IntPredicate other)` | Returns a composed predicate that represents a short-circuiting logical OR of this predicate and another.
    `boolean` | `test​(int value)` | Ask whether a given value matches this predicate
    `java.lang.String` | `toString()` | Get string representation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.IntPredicate

      `and, negate`

- - ### Field Detail

    - #### ALWAYS_TRUE

          public static final java.util.function.IntPredicate ALWAYS_TRUE

      Convenience predicate that always matches

    - #### ALWAYS_FALSE

          public static final java.util.function.IntPredicate ALWAYS_FALSE

      Convenience predicate that never matches

  - ### Constructor Detail

    - #### IntSetPredicate

          public IntSetPredicate​(IntSet set)

  - ### Method Detail

    - #### test

          public boolean test​(int value)

      Ask whether a given value matches this predicate
      Specified by:
        `test` in interface `java.util.function.IntPredicate`
      Parameters:
        `value` - the value to be tested
      Returns:
        true if the value matches; false if it does not

    - #### or

          public java.util.function.IntPredicate or​(java.util.function.IntPredicate other)

      Returns a composed predicate that represents a short-circuiting logical OR of this predicate and another. When evaluating the composed predicate, if this predicate is `true`, then the `other` predicate is not evaluated.

      Any exceptions thrown during evaluation of either predicate are relayed to the caller; if evaluation of this predicate throws an exception, the `other` predicate will not be evaluated.

      Specified by:
        `or` in interface `java.util.function.IntPredicate`
      Parameters:
        `other` - a predicate that will be logically-ORed with this predicate
      Returns:
        a composed predicate that represents the short-circuiting logical OR of this predicate and the `other` predicate
      Throws:
        `java.lang.NullPointerException` - if other is null

    - #### getIntSet

          public IntSet getIntSet()

      Get the underlying IntSet
      Returns:
        the underlying IntSet

    - #### toString

          public java.lang.String toString()

      Get string representation
      Overrides:
        `toString` in class `java.lang.Object`